package ru.ulstu.core.model.response;

import ru.ulstu.core.model.ErrorConstants;

class ControllerResponseError<D> {
    private ErrorConstants description;
    private D data;

    ControllerResponseError(ErrorConstants description, D data) {
        this.description = description;
        this.data = data;
    }

    public int getCode() {
        return description.getCode();
    }

    public String getMessage() {
        return description.getMessage();
    }

    public D getData() {
        return data;
    }
}
